org.eclipse.wst.jsdt.chromium.debug.core.model

## Class PushChangesPlan

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.PushChangesPlan

    public class PushChangesPlan
    extends java.lang.Object

Holds parameters of a planned LiveEdit push operation. This object could be used in LiveEdit action or preview implementation. This class is going to become more complicated when we support compound scripts.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PushChangesPlan` `create(ScriptTargetMapping filePair)`
`RelayOk` `execute(boolean previewOnly, UpdatableScript.UpdateCallback callback, SyncCallback syncCallback)`
`java.lang.String` `getNewSource()`
`Script` `getScript()`
`ScriptTargetMapping` `getScriptTargetMapping()`
`SourceWrapSupport.Wrapper.Match` `getSourceWrapperMatch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static PushChangesPlan create(ScriptTargetMapping filePair)

#### getSourceWrapperMatch

    public SourceWrapSupport.Wrapper.Match getSourceWrapperMatch()

#### getNewSource

    public java.lang.String getNewSource()

#### getScriptTargetMapping

    public ScriptTargetMapping getScriptTargetMapping()

#### getScript

    public Script getScript()

#### execute

    public RelayOk execute(boolean previewOnly,
                           UpdatableScript.UpdateCallback callback,
                           SyncCallback syncCallback)